import { PropType, ExtractPropTypes } from 'vue';
import { PluggableList } from 'unified';
declare const markdownPreview: {
    rehypePlugins: {
        type: PropType<PluggableList>;
        default: never[];
    };
    remarkPlugins: {
        type: PropType<PluggableList>;
        default: never[];
    };
    source: {
        default: string;
        type: StringConstructor;
    };
};
declare type ExtractPublicPropTypes<T> = Omit<Partial<ExtractPropTypes<T>>, Extract<keyof T, `internal${string}`>>;
export declare type MarkdownPreviewProps = ExtractPublicPropTypes<typeof markdownPreview>;
declare const _default: import("vue").DefineComponent<{
    rehypePlugins: {
        type: PropType<PluggableList>;
        default: never[];
    };
    remarkPlugins: {
        type: PropType<PluggableList>;
        default: never[];
    };
    source: {
        default: string;
        type: StringConstructor;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    rehypePlugins?: unknown;
    remarkPlugins?: unknown;
    source?: unknown;
} & {
    rehypePlugins: PluggableList;
    remarkPlugins: PluggableList;
    source: string;
} & {}>, {
    rehypePlugins: PluggableList;
    remarkPlugins: PluggableList;
    source: string;
}>;
export default _default;
