import { h } from 'vue';
export function childrenToReact(node) {
  return node.map(item => {
    if (item.type === 'text') {
      return item.value;
    }

    if (item.type === 'element' && item.children) {
      // @ts-ignore
      var className = item.properties.className || item.properties.class; // @ts-ignore

      item.properties.className = Array.isArray(className) ? className.join(' ') : className;
      return h(item.tagName, item.properties, childrenToReact(item.children));
    }
  });
}
//# sourceMappingURL=ast-to-vue.js.map